build.xml required for every library now? [r14 preview]

Showing 1-3 of 3 messages
build.xml required for every library now? [r14 preview] Christopher 10/4/11 8:00 AM
Hi there,

The info at http://tools.android.com/recent/buildchangesinrevision14
says that "for Ant [library] users there are no changes in workflow",
however I'm currently not able to build my project with r14.

The end of the Ant output says:


-build-setup:
      [echo] Building Libraries

BUILD FAILED
/home/orrc/android/sdk/tools/ant/build.xml:466: Invalid file:
/home/orrc/some-project/some-library/build.xml


To me, this suggests that:
- the final documentation should mention this new requirement
- the warning output by Ant should be nicer, i.e. "you need to run
'android update lib-project'" rather than "Invalid file"


Regards,
Chris

Re: build.xml required for every library now? [r14 preview] Christopher 10/12/11 2:20 AM
Just wanted to check if the below is correct, i.e. library users need to
run "android update lib-project" for each library and check-in the
build.xml etc?

Thanks,
Chris

Re: build.xml required for every library now? [r14 preview] Xavier Ducrohet 10/12/11 10:51 AM
Yes, libraries have to be built now so they should have their own
build.xml file (as well as project.properties, local.properties, ....)

--
Xavier Ducrohet
Android SDK Tech Lead
Google Inc.
http://developer.android.com | http://tools.android.com

Please do not send me questions directly. Thanks!